---
title: "Week 10, Tuesday: Lego and Flightsim"
date: 2024-10-01T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/nordic.png" alt="Credit: Nordic Music, YouTube" >}}

I went to bed at 01:30 but Tim was up for a little bit more longer than that. He informs me in the
morning that his last commit was 03:30. I like having found a likeminded night owl! As we drink
coffee, we talk abit about Tim's new [[AS214380.net](https://as214380.net/)] project which he is
doing in Hugo. We talk a bit about themes and its structure, and end up getting the formatting he
had in mind. He scrambles to write some content, and even ends up adding a few blog posts! An
aspiring writer, I like it!

Tonight we'll be eating a cheese platter, with ingredients that we fetched from the _Globus_
yesterday. But today I'm also making an onion soup and fresh bread to go with the cheese. Marina is
so kind as to chop three large onions for me, as I have a little bit of a visual migraine coming up
and I don't want to chop off a limb. I've noticed that if this happens, eating some sugar and
drinking caffeine helps - so I yeet an espresso into my throat and eat an *R,G,B* triplet of sugar
aligators while hanging out on the couch for a few minutes. It's gone as quickly as it came.

{{< image src="/img/arc.png" width="7em" float="left" alt="story arc" >}}

In the early afternoon we go downstairs and work on the simulator a bit and continue the story arc
of Tim's visit: getting this thing up and running smoothly. It's not going too well yet, as the
simulater is constantly crashing. Also, the flihgt instrument panels are not working at all.

After a few hours we decide: screw that, we're going to do something more fun! Tim is an enormous
LEGO fan and he has a [[Lego Passport](https://lego.bricksmegastore.com/pages/passport-program)],
which I quickly agree is a fun program to let fans explore the stores, discover new sets, and
collect unique stamps along the way. Tim is delighted to learn there is a LEGO store in the local
_Glatt Zentrum_, and in a premeditated act, has brought his passport with him to Zurich. As we
arrive to the LEGO store, he is greeted by a very friendly chap who immediately grabs not one but
two stamps, and the grin on Tim's face speaks volumes. Good job!

Then it's off to the store we go, for a little bit of speciality kit. Tim and I buy six cheeses that
will go with our cheese plate tonight, Marina buys black truffle for our risotto later this week,
and I buy a few teas from [[Mariage Fr&egrave;res](https://www.mariagefreres.com/)], which is my
favorite tea.

Back in Br&uuml;ttisellen, we decide to abandon our efforts for X-Plane 10, and instead reinstall
the entire computer with Windows 11 and try to buy Microsoft Flight Simulator, which claims to have
out of the box support for these Saitek flight instrument panels. Maybe it's an X-Plane issue? As
often the case, purchasing things on the internet are _difficult_. Yesterday, I tried three or four
times to buy MSFS, but Microsoft keeps on saying that the store country is not the same as my
account country. So this new install will have a new e-mail address and country which we know to
match. And yes, with that new stuff, we are able to finally give MSFT their cash in return for a 157
gigabyte download. Luckily, I have a good ISP :-)

As this thing chomps along, we decide to calorie-up with the eleven different cheeses. As a quick
starter, a french onion soup with toasted bread and cheese gratin. It is an absolute killer. Then,
we chomp away and attack our cheeses only to find that several hours later, our bellies are round
while in fact, most of the cheese is still where it was when we started. I think we'll be eating
cheese for the next few weeks, before we finally win the battle.

Meanwhile, in the lair, Microsoft has sent me all the bits and pieces to be able to run MSFS.
However, it doesn't even make it past its god damn splash screen. The computer locks up and reboots
every single time. Man, this is frustrating. But, Tim has found yet another issue. One of the USB
cables that connects a flight panel is shorting out, which means that the other panels on that USB
hub are not detected. This is why I can only see - at best - five out of ten of the FIPs work.

I go to [[Digitec](https://digitec.ch)] and find a sassy new video card, and nVIDIA has fallen out
of graces, so we try our luck with a AMD RADEON RX 7700 XT, which has good reviews but sets me back
a pretty penny. I also throw in two USB v3 hubs to rule out that the short is from the hub rather
than the cable. The FIP itself works fine though.

As I'm reading up on forums on how to get this stuff to work, I complain that it should be easier
than it is for us. You should be able to just plug this stuff in, install the _Saitek_ drivers, and
run a sidecar app that queries MSFS or X-Plane and renders the telemetry on the screens. But why is
it so hard (that's what she said)?

{{< image src="/img/brain.png" width="7em" float="left" alt="brain" >}}

Then I find that there's some guy on the internet who _also_ believed it should be easier, so
he went and **made it easier**: [[SPAD.Next](https://www.spadnext.com/home.html)] is a website with
a _Simulation Panel Advanced Drivers - neXt Generation_, shows every single one of my radios, switch
panels, instrument panels, lights, and what-not. His claim: install his program, for which he gives
a 14 day free trial, and your troubles are gone.

Can you believe how happy we both were, when we installed the little app, and it started up giving
us like five tips about USB power management, and then boo-yah, it finds and installs nine out of
ten FIPs, the radios, the switch panel, the indicator panel, the navigation panel, the yoke (which
this german guy calls the _Joke_). But, every single one of them works, hell yeah! This guy wins the
internet for the day. We proudly take several pictures of the entire cockpit lit up, and we agree
that it should be doable to configure it tomorrow. Now please please please, let that RADEON card be
less of a turd than the nVIDIA K2200 that I had laying around.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-01/IMG_1704.JPG" caption="Kneeding dougie for this evening's full grain bread" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1705.JPG" caption="These three aligators, Red, Green and Blue, saved me from a migraine, yaay!" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1706.JPG" caption="Marina has chopped the onions for tonight's soup, so that I could avoid chopping off an arm while having a little visual migraine" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1707.JPG" caption="We are 'playing' the X-Plane sim, but it crashes with video card driver failures every few minutes. Bah" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1711.JPG" caption="The flightsim, nor the instrument panels, are working at this point. Only the yoke and rudder peddals are detected" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1714.JPG" caption="Tim is super enthusiastic with the opportunity to get his LEGO passport stamped in Switzerland" >}}
  {{< gallery-photo fn="2024-10-01/IMG_1715.JPG" caption="Tim's passport is stamped - twice - by the LEGO store guy in Wallisellen, Switzerland." >}}
  {{< gallery-photo fn="2024-10-01/IMG_1718.JPG" caption="Marina has found a delicious pot of black truffle paste. She got this little pot by taking a second mortgage on our house." >}}
  {{< gallery-photo fn="2024-10-01/IMG_1719.JPG" caption="We are trying to install MS Flight Simulator as an alternative to X-Plane. Several hours later, we managed to pay MSFT the money for it." >}}
  {{< gallery-photo fn="2024-10-01/IMG_1721.JPG" caption="Enjoying a cheese plate with Tim, Quinn and Marina in the evening." >}}
  {{< gallery-photo fn="2024-10-01/IMG_1723.JPG" caption="The cockpit as it has only a few FIPs detected, and with a marginally working switch panel. This turned out to be a corrupted cable and/or USB hub." >}}
  {{< gallery-photo fn="2024-10-02/IMG_1724.JPG" caption="After replacing the broken equipment, nine out of ten FIPs and all other panels are detected and installed with SPAD.neXt, great progress!!" >}}
  {{< gallery-photo fn="2024-10-02/IMG_1725.JPG" caption="We are closely inspecting the install and configuration of these panels in MSFS, which is not yet working because we are missing a working video card, sigh" >}}
  {{< gallery-photo fn="2024-10-02/IMG_1726.JPG" caption="At the end of the evening: RADEON and replacement USB hubs ordered, so we celebrate our progress so far." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
