---
title: "Week 9, Saturday: Happy Birthday, AS34019"
date: 2024-09-28T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/soulfulliquid.png" alt="Credit: Soulful Liquid, YouTUbe" >}}

It's nice that it's weekend, because on Friday the noise level went from -inf to +inf in the span of
ten minutes, but this morning, the pipe clankers and glass crashers are not at it, it's Saturday! I
didn't put on an alarmclock and woke up at 10:00, after a good night's rest. Since there's
absolutely nothing in this atto-apartment, I quickly pack up and bounce. Just down the road I fetch
a cup of coffee and plot a path for the day. I really only need to hit two places today: I want to
go up to the _Montmartre_ church, and I'd like to see the _Place de R&eacute;publique_, and I need
to hit Cl&eacute;ment's place at around 19:00 so I have nine hours.

My day route out to be very different from how OSPF might have sent me. It's too bad that I didn't
turn on the watch to track my motion, because I'm pretty sure it was all over the place. I rented
one of those _Dott_ bikes and went up the hill. I got there at about 11:45 and there were twelve
trillion people at the church. Also: lots of vending guys with miniature Eifel towers and wooden
block trains. I am slightly annoyed by the tourists, but seeing as I am one myself, I can't really
complain too much!

The view from the terrace of Montmartre is fabulous. There's a part facing south from here called
_Square Louise Michel_, and it's on a set of plateaus so the views are relatively unobstructed. I
take probably ten pictures here, and also a few panoramic shots. The clouds overhead are grey and
the sky is otherwise blue with some rays of sun breaking through. The pics really don't do it
justice.

Once I'm down at the south side of the park I hit the _Boulevard Margueritte de Rouchechouart_ (what
a mouthful) and my buddy Tim pings me on Telegram. He's fiddling around in his optics stash and will
be very close to Qupra later today, and asks if he should patch my server to FrysIX. There's now an
ability for members of the [[Coloclue](https://coloclue.net/)] association to get a cross connect in
one of the datacenters, and for running the routeserver and IXPManager and LibreNMS, it's be
fantastic to move off of the Equinix AM3 hypervisor and into the Qupra hypervisor because the former
has consumer level SSD (Samsung QVO 💩) and the latter has spiffy enterprise SAS-12 flash
(Seagate ST3840FM0003 🚀).

I grab the laptop and check a few things on the hypervisor. It's kind of fun to be in the middle of
Paris on a 5G access point, taking notes on the kernel driver for `ixgbe` and allowing setting it up
with `allow_unsupported_sfp` flag so that it doesn't require Intel branded optics. While I'm sitting
on the bench here, I do take a look at breakfast^W lunch opportunities, it's already 13:15. I find a
place called [[Lazu](https://lazu.fr/)] which looks quaint, and it serves lunch until 14:00. Off I
go!

The bootup sequence is with an _amuse bouche_ cracker with warm fennel and goats cheese. Then my
starter is a (vegetarian) p&acirc;t&eacute; of potato with a chives mousse. My mains for the day is
pork belly with artichoke hearts with a glass of _Vin de France_, and why not, my desert is a cheese
plate with a good sip of _Muskat_ wine. At the end, I am both in food coma as well as very sleepy.

I make my way down south and stop at the park under the Saint-Eustache Church. It's a bustle of
people here, and I do notice that my phone is already running low on battery (I should really get a
new one, it's only been running for five hours or so!), so I scope out a Starbucks to both
caffienate and to charge some batteries. En route south to _Notre Dame_ I find one and drink the
coffee, writing yesterday's journal entry. Achievement unlocked: I'm a critically unaclaimed
Starbucks author now!

Paris is (unsurprisingly) full of beautiful buildings. I talk past a few, take pictures of them, and
somehow find myself all the way up north of the river Seine again. OK, new plan: go take a look at
J&eacute;r&ocirc;me's ancestry at the _Place de la R&eacute;publique_. Here, there's an esplanade
for Andr&eacute; Tollet, mostly occupied by skaterboys, but I also see a large statue of _Marianne_
which is a symbol of the French Republic.

I'm *still* pointing my (crappy) human GPS at _Notre Dame_ and the Seine. Somehow I make it there
now in one go, as it's a straight boulevard down there. I have an early onset of visual migraine,
but it lasts no longer than a few minutes, as I cafeinate and proceed eat some sugar candy. The
coffee is kind of gross, so I bounce from the coffeeshop again pretty quickly. Before I hit the
church, I take a selfie at _H&ocirc;tel de Ville_, again, "c'est obligatoire", and then find _Notre
Dame_ in a perfect sunlight.

My walk takes me down south-west of Paris in the _14th Arrondissement_ where Cl&eacute;ment lives.
At around 19:00 he pings me an address and I go there to drop off my bags, finding a merry band of
brothers ready to go out to dinner. He's booked us a table for twenty-five at Restaurant [[14
Juillet](https://www.le14juillet.fr/)] and everybdoy arrives roughly on time! (that would NOT have
happened in the Netherlands). Dinner in this place is laid back, my starter is an onion soup, which
I've been craving ever since I got to France, and a veal _escalope_ with fries, finished off --
again, why not -- by a cheese plate with Roquefort blue cheese. My table mates are mostly babbling
in rapid-fire French and I get about one in seven or so words - and a 14% hit rate makes my CPU run
100% utilization trying to puzzle things together. I clearly have a ways to go :)

After dinner, which ends at midnight, we walk through the evening neighborhood and settle down at a
local bar for a few beers. There's some confusion between the IPA and the Triple, so I end up just
ordering and drinking a pint of both. It's fun out here, as the weather is pleasant, there's a kitty
that stops by regularly to cuddle, and the stories get stronger as the alcohol intake gets more
pronounced.

Then all of the sudden it's 02:45 and people skedaddle. Some of the folks had taken off earlier
because Friday night for them was rough (being FRnOG'40 with good celebrations&trade; well into the
night), and I'm for once happy that I turned in early because I feel like I'm possibly the most
awake one of the group :) I insist to drink one more, just _one more_ with Cl&eacute;ment at his
place, before passing out on the couch.

Happy ASNniversary, Hivane!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-28/IMG_1647.JPG" caption="A picture of Mission Catholique Polonaise in Paris, France." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1648.JPG" caption="The Dott rent-a-bike that I parked at Montmartre after depleting its battery" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1650.JPG" caption="The north (back) side of Basilique du Sacré-Cœur de Montmartre in Paris, France." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1653.JPG" caption="The south (front) side of Basilique du Sacré-Cœur de Montmartre in Paris, France." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1654.JPG" caption="The views over Paris from the terrace front yard called Square Louise Michel" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1658.JPG" caption="A sunny selfie on the bottom of the terrace overlooking the Basilique of Montmartre" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1660.JPG" caption="I a doing some quick kernel module maintenance for Tim who is planning to deploy an SFP+ in Qupra later today" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1666.JPG" caption="This house on Rue de la Carreaux is beautifully overgrown with green shrubbery." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1667.JPG" caption="The front face of Saint-Eustache Church as seen from the park in front of it in Paris, France" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1668.JPG" caption="The Pendule de Foucault of Mus&eacute;e des Arts et M&eacute;tiers in Paris, France" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1670.JPG" caption="The statue of Marianne, symbol of the French Republic at Place de la R&eacute;publique in Paris, France" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1673.JPG" caption="There is a hommage to Andr&eacute; Tollet here, that name strangely rings a bell :)" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1675.JPG" caption="A selfie in front of H&ocirc;tel de Ville in Paris, France. It's plastered full of Paris 2024 olympic signage, which I think is unfortunate." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1677.JPG" caption="The front face of the Notre Dame cathedral, a beautiful building that will hopefully re-open in December 2024, after a five year renovation" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1680.JPG" caption="Iconic building of Panth&acute;on in Paris, France." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1681.JPG" caption="The Panth&eacute;on as seen from another angle." >}}
  {{< gallery-photo fn="2024-09-28/IMG_1682.JPG" caption="The building of Comit&eacute; Technique P&eacute;dagogique Nationale (CTPN) in Paris, France" >}}
  {{< gallery-photo fn="2024-09-28/IMG_1683.JPG" caption="A selfie with my buddy Cl&eacute;ment who is celebrating his ASN's 20y anniversary tonight" >}}
  {{< gallery-photo fn="2024-09-28/qupra.png" caption="Tim sends me this picture, trying to locate a fiber crossconnect (which turned out, was never there)" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
