---
title: "Week 11, Saturday: Milano to Zurigo"
date: 2024-10-12T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/drumandbass.png" alt="Credit: Drum and Bass, YouTube" >}}

Today we complete our visit to beautiful Italy. For the last time (for the time being, at least) we
grab breakfast in the hotel in Milan. We take a look at weather, driving conditions, the traffic at
the Gottard tunnel, and debate if we'd like to visit any other sights in the city before heading
off.

In the breakfast room, it's a bit of a mess. I don't quite understand what brings parents of small
children not to clean up after themselves. There's bread, fruit and detritis everywhere, and as well
a few stomping children. I'm so glad that we don't have to deal with that on an ongoing basis
anymore! Thanks, Quinn: you're a winner :)

Our feet are tired and I think maybe all three of us would love to be at home. I myself would very
much like to sleep in my own bed for a while; my back is not happy with my choice of hotel bed. It's
super hard, like a wooden board with a 3cm piece of foam on it. It reminds me a bit of camping in
the Nordics, where all we had was a little roll-up matt. I'm not sure I would be a happy camper,
considering how much my back hates me right now.

After breakfast, we grab our belongings upstairs, and I do a quick checkout. Marina has already
paid, even the city tax and parking, so I make my way downstairs to the garage. I'm quickly met by
the guy behind the counter, who insists on a very specific way for me to exit the garage. You see,
it's a somewhat ... narrow passage way in and out, and they are trying to make sure that I don't
damage our daily driver. Marina takes a picture as I poke the nose out of the garage into the
gangway up to street level. I can confirm: it was narrow!!

The car ends up on the street without any damage (go, Pim!) and we start our ascent from Milano to
Zurigo. The drive over the _Autostrada_ towards Chiasso (the border crossing into Switzerland) is
line-rate. There's a bit of a delay while driving over the border crossing, but once again we aren't
pulled over and asked any questions, we are free to go.

Then we drive towards the Gottard tunnel, and there's a bit of a delay getting in to it. I have
heard that the delay _can be_ up to three hours in the Summer, but for us, today, it's only about
twenty minutes or so. I drive us through the tunnel and find myself a parking spot to switch drivers
with Marina. Similar to when we went to the Netherlands (where MArina had this), I have a bit more
of a drive than I bargained for: 3.25hrs before we find a parking spot, which by now is only twenty
minutes from our supercharger in _Beckenried_.

Here, we provide Tessa with electrons while we supply edibles for ourselves. Quinn munches on a
Caesar Salad, Marina takes a beef tartar, and I grab hummus with flatbread. Marina may have had some
buyers' remorse, as she demands halfsies. I am not dissatisfied by this, because I really like
tartare. We finish our late lunch, while Tessa finishes its electron slurp.

Marina takes the rest of the drive home, and we arrive there at around 16:30 or so. Here, we pretty
quickly disperse, not too dissimilar to shrapnel. I go to the basement and take a bit of a training
run in the Flight Simulator. I spend about one hour practicing taxiing, takeoff, and circuits. My
goal is to reliably and consistently ace the exercises around take-off, circuits, navigation and
landing. Proudly, I show my awareness of the [[Dunning Kruger
effect](https://en.wikipedia.org/wiki/Dunning%E2%80%93Kruger_effect)], and take a picture of my
score in taking off at 500ft/min and 75kts in my dinky little Cessna 172S.

By the way, Tim, you will like this: we bought the _Deluxe_ version, and somewhere tucked away in
that version, is a Cessna 172 Classic. Interestingly, the normal version only has the glass cockpit,
but the _Deluxe_ version has the old _Skyhawk_. So I also spent half an hour or so importing it and
making sure that the radio and navigation panel works for it. Score!

For dinner, we decide to eat (dutch) French Fries and _Snacks_, which means: Frikandellen, Kip
Corns, Bitterballen and Kroketten. All of these things are such a classic guilty pleasure for us in
Switzerland. I know my dutch friends don't really appreciate it, but it's true: you don't know what
you have until it's gone! Our supply of frikandellen is severely limited in Switzerland!

After dinner, we watch a few episodes of Black Mirror, and finally, I take the Cessna 172 Skyhawk
with navigation out for a spin. I found a MSFS Companion App, which displays a bunch of data and
importantly, the airplane's position on an (OpenS treet Maps) map. Unfortunately, there are no
airfield overlays (OSM does not do this, on principle), so I have to make due with 'normal' maps.
Maybe at some point I'll get that fancy Sky Demon that Tim uses, or some other tool. But for now,
I'm happy with the results. On the screenshot below, you can see which places I flew by hand (West
of lake Zurich, and around lake Pf&auml;ffikon), and where I played with the autopilot (the nice
straight lines).

I'm pretty tired from all of that prancing around Milan, so at 22:00 or so I turn in for the night.
Marina is already in the bathroom getting ready as I rock up. It seems we're both quite tired from
all that traveling.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-12/20241012_103228.jpg" caption="I'm driving the car through a very narrow gangway up from the garage in our hotel. No damage!" >}}
  {{< gallery-photo fn="2024-10-12/IMG_2069.JPG" caption="In the flight sim, I'm taking lessons. This one exercise I've scored an outlier-positive 9.9/10, but generally I try to practice such that I have consistent A scores." >}}
  {{< gallery-photo fn="2024-10-12/IMG_2070.JPG" caption="In this episode of Black Mirror, a woman loses her loved one, but technology manages to bring him back as a humanoid robot. What could possibly go wrong?" >}}
  {{< gallery-photo fn="2024-10-12/IMG_2071.JPG" caption="The flight I flew in the Cessna 172 Skyhawk, playing around with the autopilot, taking off from D&uuml;endorf and landing on the same airfield." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
