---
title: "Week 12, Tuesday: IP-Max 20 years"
date: 2024-10-15T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/missmonique-04.png" alt="Credit: Miss Monique, YouTube" >}}

Ahh, this. This is what I came here to do! I met Fred, many moons ago, at a SwiNOG conference in
Berne. We fed the bears in the pit, as yes, there were actually
[[bears](https://www.myswitzerland.com/en-ch/experiences/bern-bear-park/)] in a little bear-pit park
in Bern, until not too recently ago. At this place, I got to know the IP-Max crew. This was in 2007
or there-abouts. Fast forward a few years, and these guys are moving into the _Deltalis_ bunker in
_Attinghausen, Uri_. I helped them move in and for a few years, operated my own association called
_IPng_, there. We've been super close ever since!

This Monday, AS25091 turns twenty years. This AS number the digital signature of the ISP network
that Fred and his company have built out to a presence spanning all of Europe, and beyond. I'm so
proud to have been a part of this journey with the company, through thick and thin, good times and
bad. But today is definitely a good time: The IP-Max network turns twenty! Yesterday we had a little
bit of a pre-party, with the _Christian's_.

In the morning, I do only one thing, but it takes me for-ever due to a string of bad luck. I wanted
to install an APU for Brainserve, as neither IP-Max nor IPng currently have an out-of-band
connection there. First, the disk is busted. Then, the USB flash is corrupt. Then, after installing,
the machine mysteriously doesn't boot. Then, I reinstall it and make sure for it to boot on serial,
and it comes up but the WiFi doesn't work. I spend a comically long amount of time only to figure
out that it's not a WiFi module, but a 4G module instead :) We rummage around the stock and find an
appropriate WiFi card, and then the install is completed.

But hey look, it's now noon!  Today, we have a luscious lunch in a small place just outside of
Geneva. Here, they have an indoor wood fired barbecue, which they fire with olive tree wood. It is
the first thing I smell when I entered the place, so divine! We are six today: Anastasia, Florian,
Ludovic, Frederic, Fabrice and your's truly. The trick here is that for a certain price you can eat
_Bouef a gogo_, which essentially means all-you-can-eat. They first grill it on the barbecue for
you, and then you get a hot plate to build the _cuisson_ you like. It also means I eat a lot,
because for me the perfect cuisson is between mooing and blue.

We have the most fabulous time. I catch up and quiz Ludo about his commercial pilot license and
which aircraft he is certified on; he is not bored by this, and in return quizzes me on the flight
simulator. It turns out, Ludo has a great hobby in the weekends, flying all sorts planes around.
The next time he'll be in Zurich for maintenance, I may lure him into the basement to show me how to
pilot dual-engine aircraft like the King Air. That sounds pretty amazing to me.

Of course, as carnivores of _Team Viandard_, we think fondly of Cl&eacute;ment who couldn't make it
today, as we frantically chomp away at the meat. I decide to keep dry for the day, and I'm also one
of two designated drivers. I think I will take it easy today, but food-wise, I loosen the belt
buckle as I enjoy a slice of the celebratory cheese cake that Anastasia has prepared. We have a
jolly old time.

Back at the office, we each complete our chores for the day; IP-Max decides their new colocation and
carrier landing spot in Frankfurt (it's Japanese!), and we together put things in motion for this
complicated move. I think we're going to be very happy in our new spot, and we will stay at the
Kleyerstrasse as well for the foreseeable future, which makes moving a tiny bit easier.

I write a few journal entries, as I'm once again traveling more and writing less! But, I manage to
finish the lazy [[Sunday]({{< ref wk11day7.md >}})] and the somewhat more debaucherous [[Monday]({{<
ref wk12day1.md >}})], and will take care of today, tomorrow :)

At around 18:00, Fred beckons me. There is a cat just down the road who will need some attention. It
does not take much more than this comment to unwedge me from my laptop; the APU is done for
tomorrow, and I have a patch cable to replace one that was a bit too short at Brainserve. We walk
over to Fred's place (having a two hundred meter commute is pretty great) and hang back on the couch
in the living room. Dazzling joins us and does not leave.

Instead of going out to dinner, I suggest that we maybe eat some soup and salad. I order myself a
pumpkin soup and a ni&ccedil;oise salad, Fred also orders a leafy green meal. As it gets delivered,
we're watching TV, winding down from our party, and - honestly - still trying to digest the half cow
we ate in the afternoon. The salad is a perfect end to this short trip to Laus-s-ane and Geneva.

It must be around 22:30 when we both turn in for the night. Tomorrow, I drive back via Brainserve to
deploy this APU, and then onwards to my fam-damily in Br&uuml;ttisellen.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-15/IMG_2109.JPG" caption="This is a olive-wood fired barbecue at the steak-house we are having lunch today." >}}
  {{< gallery-photo fn="2024-10-15/IMG_2110.JPG" caption="The beef comes pre-bbq'd and sliced, ready to finish cooking on the hot plate at the table." >}}
  {{< gallery-photo fn="2024-10-15/IMG_2112.JPG" caption="We are having a jolly time celebrating the 20th anniversary of AS25091 - IP-Max!" >}}
  {{< gallery-photo fn="2024-10-15/IMG_2116.JPG" caption="Anastasia arranged a birthday cake, it's a raspberry cheesecake. One of my favorites!" >}}
  {{< gallery-photo fn="2024-10-15/IMG_2117.JPG" caption="Ludo and I take a selfie outside, as we are about one kilogram heavier than before lunch" >}}
  {{< gallery-photo fn="2024-10-15/IMG_2118.JPG" caption="I am writing my journal entries at the IP-Max office in Geneva." >}}
  {{< gallery-photo fn="2024-10-15/IMG_2120.JPG" caption="The frontdoor of my favorite company around - with not one but two dark fiber trunks, too!" >}}
  {{< gallery-photo fn="2024-10-15/IMG_2122.JPG" caption="Dazzling Saphire says hello. He is very photogenic and I love him." >}}
  {{< gallery-photo fn="2024-10-15/IMG_2123.JPG" caption="Dinner for tonight - slowing down with food intake: soup and salad." >}}

{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
